from sqlalchemy import Column, Integer, String
from sqlalchemy import create_engine
from sqlalchemy.orm import scoped_session, sessionmaker, declarative_base

engine = create_engine('sqlite:///test.sqlite')
db_session = scoped_session(sessionmaker(autocommit=False, autoflush=True, bind=engine))

Base = declarative_base()
Base.query = db_session.query_property()

class Student(Base):
    __tablename__ = 'students'

    id = Column(Integer, primary_key=True)
    name = Column(String)
    net_id = Column(String)
    hall = Column(String)

    def __init__(self, name, net_id, hall):
        self.name = name
        self.net_id = net_id
        self.hall = hall

Base.metadata.create_all(bind=engine)

s1 = Student('Jerrick', '902358123', 'Howard')
s2 = Student('Matt', 'PRIVATE', 'McGlinn')

print(s1.hall)

db_session.add(s1)
db_session.add(s2)

db_session.commit()

input()

s1.hall = 'Cav'
db_session.commit()

print(Student.query.all())


